﻿Public Class cVaxRegUserList

    Dim m_objRegUserList As New Dictionary(Of String, cVaxRegUser)

    Public Sub New()
    End Sub

    Public Function AddRegUserData(ByVal sUserName As String) As cVaxRegUser

        Dim objVaxRegUser As cVaxRegUser = Nothing
        m_objRegUserList.TryGetValue(sUserName, objVaxRegUser)

        If (objVaxRegUser Is Nothing) Then

            objVaxRegUser = New cVaxRegUser()
            m_objRegUserList.Add(sUserName, objVaxRegUser)

        End If

        Return objVaxRegUser

    End Function

    Public Function GetRegUserData(ByVal sUserName As String) As cVaxRegUser

        Dim objVaxRegUser As cVaxRegUser = Nothing

        objVaxRegUser = m_objRegUserList(sUserName)
        If (objVaxRegUser Is Nothing) Then Return Nothing

        Return objVaxRegUser

    End Function

    Public Function GetRegUserCount() As Integer

        Return m_objRegUserList.Count

    End Function

    Public Sub RemoveRegUserData(ByVal sUserName As String)

        Dim objVaxRegUser As cVaxRegUser = Nothing

            objVaxRegUser = m_objRegUserList(sUserName)

            If (objVaxRegUser Is Nothing) Then

                Return

            End If

            m_objRegUserList.Remove(sUserName)

    End Sub

    Public Sub DeleteUserDataAll()

        m_objRegUserList.Clear()

    End Sub

End Class
