#include "StdAfx.h"
#include "StoreCallPickUp.h"

#define SUB_KEY_BUFFER_SIZE	2000

#define ROOT_PATH	"CallPickUpGroups\\"

CStoreCallPickUp::CStoreCallPickUp(void)
{
	
}

CStoreCallPickUp::~CStoreCallPickUp(void)
{
	
}

BOOL CStoreCallPickUp::AddCallPickUpGroup(LPCTSTR sCallPickUpGroupName)
{
    CString sKeyPath;
	sKeyPath.Format("%s%s", ROOT_PATH, sCallPickUpGroupName);

	CStoreRegistry::SetTEXT(sKeyPath, "CallPickUpGroupName", sCallPickUpGroupName);
	return TRUE;
}

BOOL CStoreCallPickUp::RemoveCallPickUpGroup(LPCTSTR sRingGroupName)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s", ROOT_PATH, sRingGroupName);

	 CStoreRegistry::DeleteSubKey(sKeyPath);
	 return TRUE;
}

BOOL CStoreCallPickUp::GetCallPickUpGroupNameAll(CStringList* pListPickUpGropu)
{
	CString sKeyPath;
	sKeyPath = ROOT_PATH;

	CStoreRegistry::EnumSubKeys(sKeyPath, pListPickUpGropu);	
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////

BOOL CStoreCallPickUp::AddCallPickUpGroupMember(LPCTSTR sCallPickUpGroupName, LPCTSTR sUserName)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s%s%s", ROOT_PATH, sCallPickUpGroupName, "\\", sUserName);

    CStoreRegistry::SetTEXT(sKeyPath, "sUserName", sUserName);	
    return TRUE;
}

BOOL CStoreCallPickUp::RemoveCallPickUpGroupMemeber(LPCTSTR sCallPickUpGroupName, LPCTSTR sUserName)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s%s%s", ROOT_PATH, sCallPickUpGroupName, "\\", sUserName);

	 CStoreRegistry::DeleteSubKey(sKeyPath);
	 return TRUE;
}

BOOL CStoreCallPickUp::GetPickUpMemberNameAll(LPCTSTR sCallPickUpGroupName, CStringList* objListPickUpMemberName)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s", ROOT_PATH, sCallPickUpGroupName);

	CStoreRegistry::EnumSubKeys(sKeyPath, objListPickUpMemberName);
	return TRUE;
}

BOOL CStoreCallPickUp::IsDataStored()
{
   return CStoreRegistry::IsKeyExist(ROOT_PATH);
}