#pragma once
#include "StoreRegistry.h"
class CStoreRingGroup :public CStoreRegistry
{
public:

	CStoreRingGroup(void);
	~CStoreRingGroup(void);


public:

	 CString m_sRootPath;

	 BOOL AddRingGroup(LPCTSTR sRingGroupName);
	 BOOL GetRingGroupList(CStringList* pListRingGroup); 
	 BOOL RemoveRingGroup(LPCTSTR sRingGroupName);

	 BOOL AddRingGroupAgent(LPCTSTR sRingGroupName, LPCTSTR sUserName);
	 BOOL GetRingGroupAgentList(LPCTSTR sRingGroupName, CStringList* pListRingGroup);
	 BOOL RemoveRingGroupAgent(LPCTSTR sRingGroupName, LPCTSTR sUserName);

	 BOOL SetRingGroupProcessMode(LPCTSTR sRingGroupName, int nProcessMode, int nProcessType);
	 BOOL GetRingGroupProcessMode(LPCTSTR sRingGroupName, int& nProcessMode, int& nProcessType);
	  
	 BOOL SetRingGroupAgentPriority(LPCTSTR sRingGroupName, LPCTSTR sAgentName, int nPriority);
	 BOOL GetRingGroupAgentPriority(LPCTSTR sRingGroupName, CString& sAgentName, int& nPriority);
	 BOOL RemoveRingGroupAgentPriority(LPCTSTR sRingGroupName, LPCTSTR sAgentName);

	 BOOL IsDataStored();
};

