unit VaxRoom;

interface
uses

    System.Classes,

    VaxCallSessionRoute,
    VaxDefine,
    VaxTeleServerSIP,
    VaxServerCOM,
    VaxServerExCOM;


type TVaxRoom = class

    public
      m_objVaxServer: TVaxTeleServerSIP;

    private
      m_sRoomName: String;

    public

       constructor Create(); reintroduce; overload;

       function OnIncomingCall(nSessionId: Integer; sRoomName: String) : Boolean;
       procedure OnCallSessionConnected(nSessionId: Integer);
end;

implementation

        constructor TVaxRoom.Create();
        begin

        end;

      function TVaxRoom.OnIncomingCall(nSessionId: Integer; sRoomName: String) : Boolean;
      begin

        if(sRoomName = '') Then
          Exit(False);

        m_sRoomName :=  sRoomName;

        if(TVaxServerExCOM.mVaxExCOM.AcceptCallSession(nSessionId, '', '', '', -1, '') = False) then
        begin

          TVaxServerExCOM.mVaxExCOM.RejectCallSession(nSessionId, 404, 'Not Found');
          Exit(False);

        end;

        Result := True;

       end;

      procedure TVaxRoom.OnCallSessionConnected(nSessionId: Integer);
      begin
        TVaxServerExCOM.mVaxExCOM.AddCallSessionToConferenceRoom(m_sRoomName, nSessionId, TVaxServerCOM.VAX_CONF_ROOM_NORMAL_LISTENER);
      end;

end.
