﻿Class cQueueAgentDetails

    Public m_sUserName As String

    Public Sub New(ByVal sUserName As String)
        m_sUserName = sUserName
    End Sub

End Class

'//////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////

Public Class cQueueAgentList

    Dim m_objQueueUserDetailsList As New Dictionary(Of String, cQueueAgentDetails)

    Public Function AddAgent(ByVal sUserName As String) As Boolean

        Dim objAgentDetails As cQueueAgentDetails = Nothing
        m_objQueueUserDetailsList.TryGetValue(sUserName, objAgentDetails)

        If (objAgentDetails Is Nothing) Then
            objAgentDetails = New cQueueAgentDetails(sUserName)
        End If

        objAgentDetails.m_sUserName = sUserName
        m_objQueueUserDetailsList.Add(sUserName, objAgentDetails)

        Return True

    End Function

    Public Sub RemoveAgent(ByVal sUserName As String)

        m_objQueueUserDetailsList.Remove(sUserName)

    End Sub

    Public Function IsAgentExisted(ByVal sUserName As String) As Boolean

        Dim objAgentDetails As cQueueAgentDetails = Nothing

        m_objQueueUserDetailsList.TryGetValue(sUserName, objAgentDetails)
        If (objAgentDetails Is Nothing) Then Return False

        Return True

    End Function

    Public Function GetQueueAgentAt(ByVal nIndex As Integer) As String

        If (nIndex >= m_objQueueUserDetailsList.Count()) Then Return ""

        Dim objAgentDetails As KeyValuePair(Of String, cQueueAgentDetails) = m_objQueueUserDetailsList.ElementAt(nIndex)
        Return objAgentDetails.Value.m_sUserName

    End Function

    Public Function GetQueueAgentCount() As Integer
        Return m_objQueueUserDetailsList.Count()
    End Function

    Public Sub RemoveAll()
        m_objQueueUserDetailsList.Clear()
    End Sub

End Class
