﻿Public Class cVaxRoom

    Dim m_sRoomName As String = ""

    Public Sub New()
    End Sub

    Public Sub OnIncomingCall(ByVal nSessionId As Integer, ByVal sRoomName As String, ByRef bProcessed As Boolean)

        If (sRoomName.Length = 0) Then
            bProcessed = False
            Return
        End If

        m_sRoomName = sRoomName
        cVaxServerExCOM.m_objServerExCOM.AcceptCallSession(nSessionId, "", "", "", -1, "") '// Accept the incoming call and add to conference room in OnCallSessionConnected()

        bProcessed = True

    End Sub

    Public Sub OnCallSessionConnected(ByVal nSessionId As Integer)

        If (m_sRoomName.Length = 0) Then
            Return
        End If

        cVaxServerExCOM.m_objServerExCOM.AddCallSessionToConferenceRoom(m_sRoomName, nSessionId, cVaxServerCOM.TYPE_VOICE_NORMAL)

    End Sub

    '//////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////

    Public Sub OnCallSessionOnHold(ByVal nSessionId As Integer, ByVal nChannelId As Integer)

        If (m_sRoomName.Length = 0) Then
            Return
        End If

    End Sub

    Public Sub OnCallSessionOffHold(ByVal nSessionId As Integer, ByVal nChannelId As Integer)

        If (m_sRoomName.Length = 0) Then
            Return
        End If

    End Sub

    '//////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////

    Public Sub OnCallSessionTransferBlind(ByVal nTransfererSessionId As Integer, ByVal nTransfererChannelId As Integer, ByVal sTransferer As String, ByVal sTransferee As String, ByVal sTransferTo As String)

        If (m_sRoomName.Length = 0) Then
            Return
        End If

        cVaxServerExCOM.m_objServerExCOM.RejectTransfer(nTransfererSessionId)

    End Sub

    Public Sub OnCallSessionTransferConsult(ByVal nTransfererSessionId As Integer, ByVal nTransfererChannelId As Integer, ByVal nTransferToSessionId As Integer, ByVal nTransferToChannelId As Integer, ByVal sTransferer As String, ByVal sTransferee As String, ByVal sTransferTo As String)

        If (m_sRoomName.Length = 0) Then
            Return
        End If

        cVaxServerExCOM.m_objServerExCOM.RejectTransfer(nTransfererSessionId)

    End Sub

End Class
