#pragma once

//------------------------------------------------------------------------------------------
//-------------			CRingGroupUserDetails
//------------------------------------------------------------------------------------------
class CRingGroupAlgoAgentList;

class CRingGroupUserDetails
{

public:

	CRingGroupUserDetails(LPCTSTR sUserName);
	~CRingGroupUserDetails();


public:

	CString m_sUserName;

};

typedef CMap<CString, LPCTSTR, CRingGroupUserDetails*, CRingGroupUserDetails*> CMapRingGroupUserList;

//------------------------------------------------------------------------------------------
//-------------			CRingGroupUserList
//------------------------------------------------------------------------------------------

class CRingGroupUserList
{

public:

	CRingGroupUserList(void);
	~CRingGroupUserList(void);

private:

	CMapRingGroupUserList* m_pUserList;

private:

	CString GenKey(LPCTSTR sAgentName);
	CRingGroupUserDetails* FindRingGroupUser(LPCTSTR sAgentName);
	void DeleteAll();

public:

	BOOL AddAgent(LPCTSTR sAgentName);
	void RemoveAgent(LPCTSTR sAgentName);
	

	BOOL GetRingGroupAgentList(CStringList& sAgentNameList);

	int GetCount();
	CString GetRingGroupAgentAt(int nIndex);
	
};

