unit VaxDirectProxy;

interface

uses
    System.Classes,
    VaxServerCOM,
    VaxServerExCOM;


type TVaxDirectProxy = class

    private

          m_sProxyName, m_sAuthLogin, m_sAuthPwd, m_sToPeerName: String;
          m_sDomainRealm, m_sProxyIP, m_sCodecList, m_sRoomName: String;
          m_nProxyPort, m_nToPeerType: Integer;

          m_bBlocked: Boolean;

    public

        constructor Create();

        function SetData(sProxyName: String; sAuthLogin: String; sAuthPwd: String; sDomainRealm: String; sProxyIP: String; nProxyPort: Integer; sCodecList: String; nToPeerType: Integer; sToPeerName: String; bBlocked: boolean; sRoomName: String): boolean;
        function GetData(sProxyName: String; var sAuthLogin, sAuthPwd, sDomainRealm, sProxyIP: String; var nProxyPort: Integer; var sCodecList: String; var nToPeerType: Integer; sToPeerName: String; var bBlocked: boolean; var sRoomName: String): boolean;

end;

implementation

        constructor TVaxDirectProxy.Create();
        begin
        end;

        function TVaxDirectProxy.SetData(sProxyName: String; sAuthLogin: String; sAuthPwd: String; sDomainRealm: String; sProxyIP: String; nProxyPort: Integer; sCodecList: String; nToPeerType: Integer; sToPeerName: String; bBlocked: boolean; sRoomName: String): boolean;
        begin

            m_sProxyName := sProxyName;
            m_sAuthLogin := sAuthLogin;
            m_sAuthPwd := sAuthPwd;

            m_sDomainRealm := sDomainRealm;
            m_sProxyIP := sProxyIP;
            m_nProxyPort := nProxyPort;

            m_sCodecList := sCodecList;

            m_nToPeerType := nToPeerType;
            m_sToPeerName := sToPeerName;

            m_bBlocked := bBlocked;
            m_sRoomName := sRoomName;

        end;

        function TVaxDirectProxy.GetData(sProxyName: String; var sAuthLogin, sAuthPwd, sDomainRealm, sProxyIP: String; var nProxyPort: Integer; var sCodecList: String; var nToPeerType: Integer; sToPeerName: String; var bBlocked: boolean; var sRoomName: String): boolean;
        begin

            sProxyName := m_sProxyName;
            sAuthLogin := m_sAuthLogin;
            sAuthPwd := m_sAuthPwd;

            sDomainRealm := m_sDomainRealm;
            sProxyIP := m_sProxyIP;
            nProxyPort := m_nProxyPort;

            sCodecList := m_sCodecList;

            nToPeerType := m_nToPeerType;
            sToPeerName := m_sToPeerName;

            bBlocked := m_bBlocked;
            sRoomName := m_sRoomName;

        end;


end.
